'# MWS Version: Version 2015.2 - Apr 03 2015 - ACIS 24.0.2 -

'# length = mm
'# frequency = GHz
'# time = ns
'# frequency range: fmin = 0.0 fmax = 5


'@ define units

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Units 
     .Geometry "mm" 
     .Frequency "GHz" 
     .Time "ns" 
     .TemperatureUnit "Kelvin" 
     .Voltage "V" 
     .Current "A" 
     .Resistance "Ohm" 
     .Conductance "S" 
     .Capacitance "PikoF" 
     .Inductance "NanoH" 
End With

'@ define background

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ElConductivity "0.0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0.0" 
     .HeatCapacity "0.0" 
     .Rho "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
     .ApplyInAllDirections "False" 
End With

'@ define frequency range

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
Solver.FrequencyRange "0.0", "15"

'@ define boundaries

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Boundary
     .Xmin "expanded open" 
     .Xmax "expanded open" 
     .Ymin "expanded open" 
     .Ymax "expanded open" 
     .Zmin "expanded open" 
     .Zmax "expanded open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
     .XminThermal "isothermal" 
     .XmaxThermal "isothermal" 
     .YminThermal "isothermal" 
     .YmaxThermal "isothermal" 
     .ZminThermal "isothermal" 
     .ZmaxThermal "isothermal" 
     .XsymmetryThermal "none" 
     .YsymmetryThermal "none" 
     .ZsymmetryThermal "none" 
     .ApplyInAllDirections "False" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
End With

'@ set mesh properties

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "20.0" 
     .LinesPerWavelength "20" 
     .MinimumStepNumber "20.0" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ new component: component1

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
Component.New "component1"

'@ define cylinder: component1:solid1

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Cylinder 
     .Reset 
     .Name "solid1" 
     .Component "component1" 
     .Material "PEC" 
     .OuterRadius "37.5" 
     .InnerRadius "0" 
     .Axis "z" 
     .Zrange "0", "2 " 
     .Xcenter "0" 
     .Ycenter "0" 
     .Segments "0" 
     .Create 
End With

'@ define cylinder: component1:solid2

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Cylinder 
     .Reset 
     .Name "solid2" 
     .Component "component1" 
     .Material "Vacuum" 
     .OuterRadius "1.15" 
     .InnerRadius "0" 
     .Axis "z" 
     .Zrange "0", "2" 
     .Xcenter "0" 
     .Ycenter "0" 
     .Segments "0" 
     .Create 
End With

'@ boolean insert shapes: component1:solid1, component1:solid2

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Solid 
     .Version 9
     .Insert "component1:solid1", "component1:solid2" 
     .Version 1
End With

'@ define cylinder: component1:solid3

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Cylinder 
     .Reset 
     .Name "solid3" 
     .Component "component1" 
     .Material "PEC" 
     .OuterRadius "0.5" 
     .InnerRadius "0" 
     .Axis "z" 
     .Zrange "0", "a" 
     .Xcenter "0" 
     .Ycenter "0" 
     .Segments "0" 
     .Create 
End With

'@ pick face

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
Pick.PickFaceFromId "component1:solid2", "1"

'@ define port: 1

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "-1.15", "1.15" 
     .Yrange "-1.15", "1.15" 
     .Zrange "0", "0" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ define solver parameters

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S"
     .StimulationPort "All"
     .StimulationMode "All"
     .SteadyStateLimit "-30.0"
     .MeshAdaption "False"
     .AutoNormImpedance "False"
     .NormingImpedance "50"
     .CalculateModesOnly "False"
     .SParaSymmetry "False"
     .StoreTDResultsInCache  "False"
     .FullDeembedding "False"
     .SuperimposePLWExcitation "False"
End With

'@ switch working plane

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
Plot.DrawWorkplane "false"

'@ define cone: component1:solid4

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Cone 
     .Reset 
     .Name "solid4" 
     .Component "component1" 
     .Material "PEC" 
     .BottomRadius "0.5" 
     .TopRadius "0.5" 
     .Axis "z" 
     .Zrange "a", "39.5" 
     .Xcenter "0" 
     .Ycenter "0" 
     .Segments "0" 
     .Create 
End With

'@ set mesh properties

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "30.0" 
     .LinesPerWavelength "30" 
     .MinimumStepNumber "30.0" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ define frequency range

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
Solver.FrequencyRange "0.0", "5"

'@ define farfield monitor: farfield (f=2.54)

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Monitor 
     .Reset 
     .Name "farfield (f=2.54)" 
     .Domain "Frequency" 
     .FieldType "Farfield" 
	    .Frequency "2.54" 
     .Create 
End With

'@ farfield plot options

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With FarfieldPlot 
     .Plottype "Polar" 
     .Vary "angle1" 
     .Theta "0" 
     .Phi "0" 
     .Step "1" 
     .Step2 "1" 
     .SetLockSteps "True" 
     .SetPlotRangeOnly "False" 
     .SetThetaStart "0" 
     .SetThetaEnd "180" 
     .SetPhiStart "0" 
     .SetPhiEnd "360" 
     .SetTheta360 "False" 
     .SymmetricRange "False" 
     .SetTimeDomainFF "False" 
     .SetFrequency "2.54" 
     .SetTime "0" 
     .SetColorByValue "True" 
     .DrawStepLines "False" 
     .DrawIsoLongitudeLatitudeLines "False" 
     .ShowStructure "False" 
     .SetStructureTransparent "False" 
     .SetFarfieldTransparent "False" 
     .SetPlotMode "Directivity" 
     .Distance "1" 
     .UseFarfieldApproximation "True" 
     .SetScaleLinear "False" 
     .SetLogRange "40" 
     .SetLogNorm "0" 
     .DBUnit "0" 
     .EnableFixPlotMaximum "False" 
     .SetFixPlotMaximumValue "1.0" 
     .SetInverseAxialRatio "False" 
     .SetAxesType "user" 
     .Phistart "1.000000e+000", "0.000000e+000", "0.000000e+000" 
     .Thetastart "0.000000e+000", "0.000000e+000", "1.000000e+000" 
     .PolarizationVector "0.000000e+000", "1.000000e+000", "0.000000e+000" 
     .SetCoordinateSystemType "spherical" 
     .SetPolarizationType "Linear" 
     .SlantAngle 0.000000e+000 
     .Origin "bbox" 
     .Userorigin "0.000000e+000", "0.000000e+000", "0.000000e+000" 
     .SetUserDecouplingPlane "False" 
     .UseDecouplingPlane "False" 
     .DecouplingPlaneAxis "X" 
     .DecouplingPlanePosition "0.000000e+000" 
     .EnablePhaseCenterCalculation "False" 
     .SetPhaseCenterAngularLimit "3.000000e+001" 
     .SetPhaseCenterComponent "boresight" 
     .SetPhaseCenterPlane "both" 
     .ShowPhaseCenter "True" 
     .StoreSettings
End With

'@ define farfield monitor: farfield (f=2.32)

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Monitor 
     .Reset 
     .Name "farfield (f=2.32)" 
     .Domain "Frequency" 
     .FieldType "Farfield" 
	    .Frequency "2.32" 
     .Create 
End With

'@ define farfield monitor: farfield (f=1.9)

'[VERSION]2010.1|20.0.0|20100129[/VERSION]
With Monitor 
     .Reset 
     .Name "farfield (f=1.9)" 
     .Domain "Frequency" 
     .FieldType "Farfield" 
	    .Frequency "1.9" 
     .Create 
End With 

'@ set mesh properties (for backward compatibility)

'[VERSION]2015.2|24.0.2|20150403[/VERSION]
With MeshSettings
     .SetMeshType "Hex"
     .Set "Version", 0%
     .SetMeshType "Tet"
     .Set "Version", 0%
     .SetMeshType "Srf"
     .Set "Version", 0%
End With

With MeshSettings 
     .SetMeshType "Tet" 
     .Set "CellsPerWavelengthPolicy", "cellsperwavelength" 
     .Set "CurvatureOrderPolicy", "off" 
     .SetMeshType "Plane" 
     .Set "CurvatureOrderPolicy", "off" 
End With 


'@ change solver type

'[VERSION]2015.2|24.0.2|20150403[/VERSION]
ChangeSolverType "HF Time Domain" 


